<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:16 CEST 2011 -->
<TITLE>
SciMatrix
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SciMatrix";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../SciMatrix/SciMatrixException.html" title="class in SciMatrix"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SciMatrix/SciMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SciMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
SciMatrix</FONT>
<BR>
Class SciMatrix</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>SciMatrix.SciMatrix</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>SciMatrix</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Allows to convert a matrix into string object and convert a string into a 
 matrix. Columns must be separated by comma and rows by a semicolon in the string
 object. Moreover the matrix is written row by row.
        Example : 1,2;3,4
 This object can also be used to detect problems in the matrix.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#SciMatrix()">SciMatrix</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a empty SciMatrix object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#SciMatrix(int, int)">SciMatrix</A></B>(int&nbsp;rows,
          int&nbsp;columns)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created SciMatrix object by a null matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#SciMatrix(java.lang.String)">SciMatrix</A></B>(java.lang.String&nbsp;txtmat)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created SciMatrix object with a string containing a
 matrix representation.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#add(double)">add</A></B>(double&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds an element to the end of the list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#getColumns()">getColumns</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the columns number of the matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#getRows()">getRows</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the rows number of the matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#getValue(int)">getValue</A></B>(int&nbsp;pos)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the value of a matrix element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#getValue(int, int)">getValue</A></B>(int&nbsp;row,
         int&nbsp;column)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the value of a matrix element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#newMatrix(int, int)">newMatrix</A></B>(int&nbsp;rows,
          int&nbsp;columns)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Redefines the matrix (and his dimensions) with zero as filling value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#setColumns(int)">setColumns</A></B>(int&nbsp;columns)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the columns number of the matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#setRows(int)">setRows</A></B>(int&nbsp;rows)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the rows number of the matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#setValue(int, double)">setValue</A></B>(int&nbsp;pos,
         double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of a matrix element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#setValue(int, int, double)">setValue</A></B>(int&nbsp;row,
         int&nbsp;column,
         double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of a matrix element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#toMatrix(java.lang.String)">toMatrix</A></B>(java.lang.String&nbsp;txtmat)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts a string containing a matrix representation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SciMatrix/SciMatrix.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this matrix.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SciMatrix()"><!-- --></A><H3>
SciMatrix</H3>
<PRE>
public <B>SciMatrix</B>()</PRE>
<DL>
<DD>Creates a empty SciMatrix object.
<P>
</DL>
<HR>

<A NAME="SciMatrix(int, int)"><!-- --></A><H3>
SciMatrix</H3>
<PRE>
public <B>SciMatrix</B>(int&nbsp;rows,
                 int&nbsp;columns)</PRE>
<DL>
<DD>Initializes a newly created SciMatrix object by a null matrix.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>rows</CODE> - the rows number of the matrix.<DD><CODE>columns</CODE> - the columns number of the matrix.</DL>
</DL>
<HR>

<A NAME="SciMatrix(java.lang.String)"><!-- --></A><H3>
SciMatrix</H3>
<PRE>
public <B>SciMatrix</B>(java.lang.String&nbsp;txtmat)
          throws <A HREF="../SciMatrix/SciMatrixException.html" title="class in SciMatrix">SciMatrixException</A></PRE>
<DL>
<DD>Initializes a newly created SciMatrix object with a string containing a
 matrix representation. Columns must be separated by a comma and rows
 by a semicolon. Moreover the matrix is written row by row.
 Example : 1,2;3,4
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>txtmat</CODE> - string containing the matrix representation.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SciMatrix/SciMatrixException.html" title="class in SciMatrix">SciMatrixException</A></CODE> - if an error occured during the parse operation.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representing this matrix.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>string object representing this matrix</DL>
</DD>
</DL>
<HR>

<A NAME="add(double)"><!-- --></A><H3>
add</H3>
<PRE>
public void <B>add</B>(double&nbsp;val)</PRE>
<DL>
<DD>Adds an element to the end of the list.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - value to add.</DL>
</DD>
</DL>
<HR>

<A NAME="newMatrix(int, int)"><!-- --></A><H3>
newMatrix</H3>
<PRE>
public void <B>newMatrix</B>(int&nbsp;rows,
                      int&nbsp;columns)</PRE>
<DL>
<DD>Redefines the matrix (and his dimensions) with zero as filling value.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>rows</CODE> - the rows number of the matrix.<DD><CODE>columns</CODE> - the columns number of the matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="setRows(int)"><!-- --></A><H3>
setRows</H3>
<PRE>
public void <B>setRows</B>(int&nbsp;rows)</PRE>
<DL>
<DD>Sets the rows number of the matrix.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>rows</CODE> - the rows number of the matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="setColumns(int)"><!-- --></A><H3>
setColumns</H3>
<PRE>
public void <B>setColumns</B>(int&nbsp;columns)</PRE>
<DL>
<DD>Sets the columns number of the matrix.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>columns</CODE> - the columns number of the matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="getRows()"><!-- --></A><H3>
getRows</H3>
<PRE>
public int <B>getRows</B>()</PRE>
<DL>
<DD>Gets the rows number of the matrix.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the rows number of the matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="getColumns()"><!-- --></A><H3>
getColumns</H3>
<PRE>
public int <B>getColumns</B>()</PRE>
<DL>
<DD>Gets the columns number of the matrix.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the columns number of the matrix.</DL>
</DD>
</DL>
<HR>

<A NAME="getValue(int, int)"><!-- --></A><H3>
getValue</H3>
<PRE>
public double <B>getValue</B>(int&nbsp;row,
                       int&nbsp;column)</PRE>
<DL>
<DD>Gets the value of a matrix element. The first row and the first
 column have the number 0 (and not 1).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>row</CODE> - row where is the value to get.<DD><CODE>column</CODE> - column where is the value to get.
<DT><B>Returns:</B><DD>matrix element value.<DT><B>See Also:</B><DD><A HREF="../SciMatrix/SciMatrix.html#getValue(int)"><CODE>getValue(int pos)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setValue(int, int, double)"><!-- --></A><H3>
setValue</H3>
<PRE>
public void <B>setValue</B>(int&nbsp;row,
                     int&nbsp;column,
                     double&nbsp;value)</PRE>
<DL>
<DD>Sets the value of a matrix element. The first row and the first
 column have the number 0 (and not 1).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>row</CODE> - row where is the value to set.<DD><CODE>column</CODE> - column where is the value to set.<DD><CODE>value</CODE> - new value.<DT><B>See Also:</B><DD><A HREF="../SciMatrix/SciMatrix.html#setValue(int, double)"><CODE>setValue(int pos, double value)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValue(int)"><!-- --></A><H3>
getValue</H3>
<PRE>
public double <B>getValue</B>(int&nbsp;pos)</PRE>
<DL>
<DD>Gets the value of a matrix element.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>value at the given position in the list.<DT><B>See Also:</B><DD><A HREF="../SciMatrix/SciMatrix.html#getValue(int, int)"><CODE>getValue(int row, int column)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setValue(int, double)"><!-- --></A><H3>
setValue</H3>
<PRE>
public void <B>setValue</B>(int&nbsp;pos,
                     double&nbsp;value)</PRE>
<DL>
<DD>Sets the value of a matrix element.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>pos</CODE> - position in the list.<DD><CODE>value</CODE> - new value.<DT><B>See Also:</B><DD><A HREF="../SciMatrix/SciMatrix.html#setValue(int, int, double)"><CODE>setValue(int row, int column, double value)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="toMatrix(java.lang.String)"><!-- --></A><H3>
toMatrix</H3>
<PRE>
public void <B>toMatrix</B>(java.lang.String&nbsp;txtmat)
              throws <A HREF="../SciMatrix/SciMatrixException.html" title="class in SciMatrix">SciMatrixException</A></PRE>
<DL>
<DD>Converts a string containing a matrix representation. Columns must
 be separated by a comma and rows by a semicolon. Moreover the matrix
 is written row by row.
 Example : 1,2;3,4
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>txtmat</CODE> - string containing the matrix representation.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SciMatrix/SciMatrixException.html" title="class in SciMatrix">SciMatrixException</A></CODE> - if an error occured during the parse operation.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../SciMatrix/SciMatrixException.html" title="class in SciMatrix"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SciMatrix/SciMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SciMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
